#
# Copyright (c) 2019, NVIDIA CORPORATION.  All rights reserved.
#
# NVIDIA CORPORATION and its licensors retain all intellectual property
# and proprietary rights in and to this software, related documentation
# and any modifications thereto.  Any use, reproduction, disclosure or
# distribution of this software and related documentation without an express
# license agreement from NVIDIA CORPORATION is strictly prohibited.
#

find_package(PackageHandleStandardArgs)

if (WIN32 AND NOT DEFINED DXC_SPIRV_EXECUTABLE)
    message(FATAL_ERROR "DXC for SPIR-V not found - please set DXC_SPIRV_EXECUTABLE to point at a SPIR-V capable dxc binary")
endif()

find_package_handle_standard_args(DXCspirv
    REQUIRED_VARS
        DXC_SPIRV_EXECUTABLE
    VERSION_VAR
        DXC_SPIRV_VERSION
)
